import React, {useEffect, useState} from "react";
import axios from '../../axios-quote'
import FormToFill from "../../components/FormToFill/FormToFill";
import CATEGORIES from "../../quotes-categories";


const QuoteForm = props => {
    const [quoteInfo, setQuoteInfo] = useState({
        author: '',
        category: CATEGORIES[0].title,
        text: ''
    });

    const inputHandler = (e) => {
        setQuoteInfo({
            ...quoteInfo,
            [e.target.name]: e.target.value
        })
    };

    const submitQuote = () => {
        if (!quoteInfo.text || !quoteInfo.category || !quoteInfo.author) {
            alert('все поля должны быть заполнены');
            return
        }

        axios.post('/quotes.json', quoteInfo).then(
            response => {
                props.history.push('./')
            }
        )
    };


    return (
        <div className='QuoteForm'>
            <FormToFill submitQuote={submitQuote} inputHandler={inputHandler}/>
        </div>
    )
};


export default QuoteForm